<div class="search-container">
  <form class="search-form">
    <input #searchMovieInput placeholder="Search movies" />
  </form>
</div>

<div *ngIf="movies && !isSearch" class="movie-container">
  <h1>Popular movies</h1>

  <ul class="movies-list">
    <li class="movie" *ngFor="let movie of movies">
      <app-movie-card [movie]="movie"></app-movie-card>
    </li>
  </ul>

  <div class="pagination-container">
    <app-pagination
      [pageToRoute]="'/movies/popular'"
      [maxPages]="maxPages"
      [currentPage]="currentPage"
    ></app-pagination>
  </div>
</div>

<div *ngIf="isSearch">
  <div class="movie-container">
    <h1>Your search for: {{ searchMovieInput.value }}</h1>

    <ul class="movies-list">
      <li class="movie" *ngFor="let movie of searchMoviesResult"> 
        <app-movie-card [movie]="movie"></app-movie-card>
      </li>
    </ul>
  </div>
</div>
